package scimark2;

public class SparseMatmult
{
	/* multiple iterations used to make kernel have roughly
		same granulairty as other Scimark kernels. */

	public static double num_flops(int nz, int num_iterations)
	{
		return ((double)nz) * 2.0 * ((double) num_iterations);
	}

	public static void test( double y[], double val[], int row[],
				int col[], double x[], int NUM_ITERATIONS)
	{
		int nz = val.length;

		for (int reps=0; reps<NUM_ITERATIONS; reps++)
		{
			for (int i=0; i<nz; i++)
			{
      			y[ row[i] ] += x[ col[i] ] * val[i];
			}
		}
	}
}
